import {Component, EventEmitter, Input, OnChanges, OnDestroy, OnInit, Output} from '@angular/core';
import {UploadAnalysisModel} from '../../models/upload.analysis.model';
import {CellCloseEvent} from '@progress/kendo-angular-grid';
import {PayInAAARowModel} from '../../models/Pay.In.AAA.Row.model';
import {PayInModel} from '../../models/pay-in.model';
import {Subject} from 'rxjs';
import {PayInLenderIncomeModel} from '../../abstract/pay-in-lender.income.model';
import {LenderIncomeAbstractDirective} from '../../abstract/lender-income-abstract.directive';
import {PayInConnectiveModel} from '../../models/pay-in-connective.model';


@Component({
  selector: 'app-lender-aaa-income',
  templateUrl: './lender-aaa-income.component.html',
  styleUrls: ['./lender-aaa-income.component.scss']
})
export class LenderAaaIncomeComponent extends LenderIncomeAbstractDirective implements OnInit, OnChanges {

  constructor() { super('AAA'); }

  ngOnInit(): void {
    this.analysis[this.AgencyName].forEach(v => {
      v.matchedPayIn = this.matchPayIn(v);
      this.data.push(new PayInAAARowModel(v));
    });
  }

  ngOnChanges(changes): void {
    super.OnChanges(changes);
  }


}
